• Status New
  • Percent Complete
    0%
  • Task Type Bug Report
  • Category Packages
  • Assigned To No-one
  • Operating System pentium4
  • Severity Low
  • Priority Medium
  • Reported Version
  • Due in Version Undecided
  • Due Date Undecided
  • Votes
  • Private
Attached to Project: Arch Linux 32
Opened by Andreas Baumann - 20.02.2021

FS#158 - protobuf python bindings fail to build

OK (skipped=10)
Traceback (most recent call last):

File "/usr/lib/python3.9/site-packages/packaging/version.py", line 57, in parse
  return Version(version)
File "/usr/lib/python3.9/site-packages/packaging/version.py", line 298, in __init__
  raise InvalidVersion("Invalid version: '{0}'".format(version))

packaging.version.InvalidVersion: Invalid version: ‘/build/protobuf/src/protobuf’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "/build/protobuf/src/protobuf-3.12.4/python/setup.py", line 251, in <module>
  setup(
File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 153, in setup
  return distutils.core.setup(**attrs)
File "/usr/lib/python3.9/distutils/core.py", line 148, in setup
  dist.run_commands()
File "/usr/lib/python3.9/distutils/dist.py", line 966, in run_commands
  self.run_command(cmd)
File "/usr/lib/python3.9/distutils/dist.py", line 985, in run_command
  cmd_obj.run()
File "/usr/lib/python3.9/site-packages/setuptools/command/test.py", line 232, in run
  self.run_tests()
File "/usr/lib/python3.9/contextlib.py", line 124, in __exit__
  next(self.gen)
File "/usr/lib/python3.9/site-packages/setuptools/command/test.py", line 169, in project_on_sys_path
  working_set.__init__()
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 552, in __init__
  self.add_entry(entry)
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 608, in add_entry
  for dist in find_distributions(entry, True):
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2059, in find_on_path
  path_item_entries = _by_version_descending(filtered)
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2029, in _by_version_descending
  return sorted(names, key=_by_version, reverse=True)
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2027, in _by_version
  return [packaging.version.parse(part) for part in parts]
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2027, in <listcomp>
  return [packaging.version.parse(part) for part in parts]
File "/usr/lib/python3.9/site-packages/packaging/version.py", line 59, in parse
  return LegacyVersion(version)
File "/usr/lib/python3.9/site-packages/packaging/version.py", line 127, in __init__
  warnings.warn(

DeprecationWarning: Creating a LegacyVersion has been deprecated and will be removed in the next major release
=⇒ ERROR: A failure occurred in check().

  Aborting...

=⇒ ERROR: Build failed, check /var/lib/archbuild/staging-pentium4/abaumann/build

both i686 and pentium4

Admin
Andreas Baumann commented on 20.02.2021 09:11

seems broken also on 64-bit.

Admin
Andreas Baumann commented on 20.02.2021 09:13

Yes, a bug is upstream: https://github.com/protocolbuffers/protobuf/issues/7978 Protobuf seems to have hickups with every new release of Python..

The package is marked out-of-date, so will not report to Archlinux.

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing